﻿@model IEnumerable<DA.Website.Models.VideoModels.VideoVM>
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>ALl Videos</h1>

@using (Html.BeginForm("Index", "Video", FormMethod.Get))
{
    <table class="table">
        <tr>
            <td> <label class="control-label" style=" font-size:x-large ">Search: </label> </td>
            <td>@Html.TextBox("title", "", new { @class = "form-control", placeholder = "Video Title" })</td>
            <td> <input type="submit" value="Search" class="btn btn-primary" /> </td>
        </tr>
    </table>
}
<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Owner)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Over18)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.ActionLink(item.Title, "Details", new { id = item.Id })
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Owner.First_Name)
                    @Html.DisplayFor(modelItem => item.Owner.Last_Name)
                </td>
                <td>
                    @if (item.Over18)
                    {
                        <p>Adult</p>
                    }
                    else
                    {
                        <p>All</p>
                    }
                </td>
                <td>
                    @if (item.Owner.Id == DA.Website.Models.UserModel.LoggedUser.Id)
                    {
                        <div>
                            @Html.ActionLink("Delete", "Delete", "Video", new { id = item.Id }) |
                            @Html.ActionLink("Edit", "Edit", new { id = item.Id })
                        </div>
                    }
                </td>
            </tr>
        }

    </tbody>

</table>
